Rotate Secret Asset
POST
/v1/portal/secret-assets/{key_name}/rotate
const url = 'https://example.com/v1/portal/secret-assets/example/rotate?tenant_id=';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/v1/portal/secret-assets/example/rotate?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{}'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”key_name
required
Key Name
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Body
Section titled “Request Body”Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalSecretAssetWriteOut
object
key_name
Key Name
string
scope
Scope
string
project_slug
Project Slug
string
environment
Environment
string
customer_slug
Customer Slug
string
runtime_provider
Runtime Provider
string
status
Status
string
validation_status
Validation Status
string
lineage_refs
Lineage Refs
Array<string>
impact_targets
Impact Targets
Array<object>
PortalSecretAssetImpactOutobject
target_type
Target Type
string
target_ref
Target Ref
string
reason
Reason
string
Example
{ "key_name": "", "scope": "", "project_slug": "", "environment": "", "customer_slug": "", "runtime_provider": "", "status": "stored", "validation_status": "not_run", "impact_targets": [ { "target_type": "", "target_ref": "", "reason": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}